package com.arms.egovframework.javaservice.esframework.repository;

import com.arms.api.analysis.resource.dto.ResourceAggrDTO;
import com.arms.api.issue.almapi.model.entity.AlmIssueEntity;
import com.arms.egovframework.javaservice.esframework.esquery.EsQuery;
import com.arms.egovframework.javaservice.esframework.esquery.EsQueryBuilder;
import com.arms.egovframework.javaservice.esframework.esquery.filter.TermsQueryFilter;
import org.junit.jupiter.api.Test;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.ActiveProfiles;

import java.util.List;

@SpringBootTest
@ActiveProfiles("dev")
class CommonRepositoryImplTest extends EsCommonRepositoryWrapper<AlmIssueEntity> {

    @Test
    void findDocsByScrollApiTest(){

        ResourceAggrDTO resourceAggrDTO = new ResourceAggrDTO();
        resourceAggrDTO.setEsQuery(getQuery());
        List<AlmIssueEntity> hits = this.findRecentDocsByScrollApi(resourceAggrDTO);
        System.out.println(hits);
    }

    private EsQuery getQuery() {
        EsQuery esQuery = new EsQueryBuilder()
                .bool(
                        new TermsQueryFilter("key",295L)
                );
        return esQuery;
    }
}
